For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
        • GETGet all data diffs
        • GETGet log by ID
        • GETGet a link to the job log raw request and response data of a write job.
        • GETQuery write job logs
        • GETGet logs
        • GETGet logs by job ID
        • GETGet all my integrations
        • POSTCreate an integration
        • GETGet all my users
        • GETGet user by id
        • GETCheck the status of a write operation
        • POSTRetry a write operation
        • GETGet integration by id
        • PUTUpdate an integration
        • DELDelete an integration
        • POSTTrigger a backsync on an integration.
        • POSTTrigger a manual sync on an integration.
        • GETGet data access information for an integration.
        • POSTTrigger a data access check on an integration.
        • GETGet all my property configurations
        • GETGet all my property list configurations
        • POSTCreate a property list configuration
        • GETGet job schedules by integration id
        • GETGet custom enum mappings for normalizing PMS-specific field values
        • PUTBulk enable or disable property configurations
        • PUTUpdate a property configuration
        • PUTUpdate a property list configuration
        • GETThe current PMS rate limits associated with your integration.
        • GETGet job schedule by id
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Configuration APIsAdmin

Bulk enable or disable property configurations

PUT
/v1/admin/integrations/:integration_id/properties/batch
PUT
/v1/admin/integrations/:integration_id/properties/batch
$curl -X PUT https://api.propexo.com/v1/admin/integrations/integration_id/properties/batch \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "property_configuration_ids": [
> "prop-config-9f8b7c6d5e4a3b2c1d0e"
> ],
> "enabled": false
>}'
1{
2 "success": true
3}
Updates the enabled flag for many property configuration records for an integration. This is a batch form of updating a single property configuration.
Was this page helpful?
Previous

Update a property configuration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

integration_idstringRequired
The Propexo unique identifier for the integration

Request

This endpoint expects an object.
property_configuration_idslist of stringsRequired

Property configuration IDs (enabled_properties) to update; at least one and at most 1000.

enabledbooleanRequired
Whether the listed properties should be enabled for syncing.

Response

Successful response
successboolean

Errors

400
Bad Request Error